--- configure.orig	2024-04-25 01:50:42.000000000 +0800
+++ configure	2024-04-30 21:33:07.000000000 +0800
@@ -4,19 +4,12 @@
 # INCLUDE_DIR and LIB_DIR manually via e.g:
 # R CMD INSTALL --configure-vars='INCLUDE_DIR=/.../include LIB_DIR=/.../lib'
 
-# Special case: On MacOS we now use the native crypto instead of openssl
-if [ `uname` = "Darwin" ] && [ -z "$MONGOLITE_USE_OPENSSL" ]; then
-  echo "Using native crypto for MacOS, don't need OpenSSL"
-  cat src/osx/Makevars > src/Makevars
-  exit 0
-fi
-
 # Library settings
 PKG_CONFIG_NAME="openssl"
 PKG_DEB_NAME="libssl-dev, libsasl2-dev"
 PKG_RPM_NAME="openssl-devel, cyrus-sasl-devel"
 PKG_CSW_NAME="libssl_dev, sasl_dev"
-PKG_BREW_NAME="openssl@1.1"
+PKG_MP_NAME="openssl3, cyrus-sasl2"
 PKG_TEST_FILE="src/tests/dependencies.c"
 SASL_LIBS="-lsasl2"
 
@@ -44,17 +37,6 @@
   echo "Found pkg-config cflags and libs!"
   PKG_CFLAGS="${PKGCONFIG_CFLAGS}"
   PKG_LIBS="${SASL_LIBS} ${PKGCONFIG_LIBS}"
-elif [ `uname` = "Darwin" ]; then
-  test ! "$CI" && brew --version 2>/dev/null
-  if [ $? -eq 0 ]; then
-    BREWDIR=`brew --prefix`
-    PKG_CFLAGS="-I$BREWDIR/opt/$PKG_BREW_NAME/include"
-    PKG_LIBS="-L$BREWDIR/opt/$PKG_BREW_NAME/lib -lssl -lcrypto"
-  else
-    curl -sfL "https://autobrew.github.io/scripts/openssl" > autobrew
-    . ./autobrew
-  fi
-  PKG_LIBS="$PKG_LIBS $SASL_LIBS"
 fi
 
 # Apple has deprecated SASL but there is no alternative yet
@@ -89,9 +71,9 @@
   echo " * deb: $PKG_DEB_NAME (Debian, Ubuntu, etc)"
   echo " * rpm: $PKG_RPM_NAME (Fedora, CentOS, RHEL)"
   echo " * csw: $PKG_CSW_NAME (Solaris)"
-  echo " * brew: $PKG_BREW_NAME (Mac OSX)"
-  echo "If $PKG_CONFIG_NAME is already installed, check that 'pkg-config' is in your"
-  echo "PATH and PKG_CONFIG_PATH contains a $PKG_CONFIG_NAME.pc file. If pkg-config"
+  echo " * port install $PKG_MP_NAME (Mac OSX)"
+  echo "If $PKG_CONFIG_NAME is already installed, check that 'pkgconfig' is in your"
+  echo "PATH and PKG_CONFIG_PATH contains a $PKG_CONFIG_NAME.pc file. If pkgconfig"
   echo "is unavailable you can set INCLUDE_DIR and LIB_DIR manually via:"
   echo "R CMD INSTALL --configure-vars='INCLUDE_DIR=... LIB_DIR=...'"
   echo "---------------------------[ ERROR MESSAGE ]----------------------------"
